EUWATCH-DESCRIBE-ALARMS-FOR-METRIC(1)

NAME
euwatch-describe-alarms-for-metric - Describe alarms for a single metric.

SYNOPSIS
euwatch-describe-alarms-for-metric --metric-name METRIC --namespace

NAMESPACE
    [--dimensions KEY1=VALUE1,KEY2=VALUE2,...] [--period SECONDS] [--show-long] [--statistic {Average,Maximum,Minimum,SampleCount,Sum}] [--unit UNIT] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Describe alarms for a single metric.

DESCRIPTION
Note that all of an alarm's metrics must match exactly to obtain any results.

  optional arguments:

--metric-name METRIC
    name of the metric (required)

--namespace NAMESPACE
    namespace of the metric (required)

--dimensions KEY1=VALUE1,KEY2=VALUE2,...
    dimensions of the metric

--period SECONDS
    period over which statistics are applied

--show-long
    show all of the alarms' info

--statistic {Average,Maximum,Minimum,SampleCount,Sum}
    statistic of the metric on which to trigger alarms

--unit UNIT
    unit of measurement for statistics

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    instance monitoring service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit